package java.awt;

import java.beans.*;
import java.lang.reflect.*;

public class FlowLayoutBeanInfo extends SimpleBeanInfo
{

  public BeanDescriptor getBeanDescriptor()
  {
    BeanDescriptor bd = new BeanDescriptor(FlowLayout.class);
    return bd;
  }

  public PropertyDescriptor[] getPropertyDescriptors()
  {
    try
    {
      PropertyDescriptor pd1 = new PropertyDescriptor("hgap",
                                                      FlowLayout.class);
      pd1.setName("Hgap");
      PropertyDescriptor pd2 = new PropertyDescriptor("vgap",
                                                      FlowLayout.class);
      pd2.setName("Vgap");
      PropertyDescriptor pd3 = new PropertyDescriptor("alignment",
                                                      FlowLayout.class);
      pd3.setName("Alignment");
      pd3.setPropertyEditorClass(LRJustificationEditor.class);

      PropertyDescriptor rvalue[] = {pd1, pd2, pd3};

      return rvalue;
    }
    catch (Exception e)
    {
      return null;
    }
  }
}
