import java.beans.*;
import java.awt.*;
import java.util.Vector;
import com.sun.java.swing.*;

public class BuilderJTabbedPaneBeanInfo extends JTabbedPaneBeanInfo
                                  implements BuilderComponentBeanInfo
{

  public Component newInstance()
  {
    JTabbedPane tpnNewPane = new JTabbedPane();
    JPanel tabPanel = new JPanel();
    tabPanel.setLayout(null);
    tabPanel.setName("Panel");
    tpnNewPane.addTab("Tab1", tabPanel);
    return tpnNewPane;
  }

  public BeanDescriptor getBeanDescriptor()
  {
    return new BeanDescriptor(JTabbedPane.class,
                              JTabbedPaneCustomizer.class);
  }

  public Container getContent(Component component)
  {
    return JTabbedPaneCustomizer.getContent((JTabbedPane)component);
  }

  public String[] getJavaInitializationStrings(Component component)
  {
    return null;
  }

  public Component[] getChildren(Component component)
  {
    Vector list = new Vector();
    JTabbedPane jtp = (JTabbedPane)component;

    for (int i = 0; i < jtp.getTabCount(); i++)
    {
      JPanel comp = (JPanel)jtp.getComponentAt(i);
      if (comp != null)
      {
        Component[] comps = comp.getComponents();
        for (int j = 0; j < comps.length; j++)
          list.addElement(comps[j]);
      }
    }

    Component[] rList = new Component[list.size()];
    for (int i = 0; i < list.size(); i++)
      rList[i] = (Component)list.elementAt(i);

    return rList;
  }

  public Component[] getVisibleChildren(Component component)
  {
    return getContent(component).getComponents();
  }
}

